Subject: bug#9598: Status: C-x b completion should also display current buffer.

From: Drew Adams <[email-masked]>
Date: Sun, 31 Jan 2016 08:18:14 -0800 (PST)

> what to do with this bug report?  The behavior is still what

at least

> a few people (including RMS) dislike, it is easy to
> override it (although there is no mention of that in the manual, which
> is very bad IMHO!), it also seems to be solved in Ivy (I don't know
> about other completion frameworks - I would bet Icicles have a knob for
> that, because Icicles have a knob for everything; Helm anybody?).
> 
> My personal suggestion would be either add a user option or (as a last
> resort) write about the hack mentioned here in the manual, in the node
> (info "(emacs)Select buffer").

Yes, the bug should be addressed properly.  The behavior should
be controlled by users - at least by option and preferably also
on the fly, during completion (by a toggle or other means).

At a minimum, whatever means are currently provided to give users
some control over this, however arcane, rudimentary, or hackish,
should be well documented.

(And yes, Icicles buffer-name completion has already been described
in this bug thread.)